package sgc.portal.cw.cw0301.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0301.dto.CW03010001USearch;
import sgc.portal.cw.cw0301.model.CW03010001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CW03010001UMapper {
	
	//고충등록 내용 조회
	List<EasyHashMap<String, Object>> selectProblemRegistryList(CW03010001USearch search);
	
	int selectCount(CW03010001U cW03010001U);
	int selectProbId();
	
	//고충등록 변경 삭제
	void insertProblemRegistry(CW03010001U cW03010001U);
	void insertProblemRegistry2(CW03010001U cW03010001U);
	void updateProblemRegistry(CW03010001U cW03010001U);
	void deleteProblemRegistry(CW03010001U cW03010001U);
	void updateProblemRegistryCanCel(CW03010001U cW03010001U);
}
